> For the complete documentation index, see [llms.txt](https://docs.stylemixthemes.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stylemixthemes.com/masterstudy-lms/developers-guide/masterstudy-lms-hooks/google-classroom.md).

# Google Classroom

## Actions

1. **`stm_lms_google_classroom_course_imported`**

**Description:**\
This action is triggered **after a course is imported from** [**Google Classroom**](/masterstudy-lms/lms-pro-addons/google-classroom.md) into MasterStudy LMS. It allows developers to perform additional actions on the newly created course, such as updating metadata or assigning custom fields.

**Parameters:**

* `$course` (array) — Data of the imported course from Google Classrooms.
* `$imported_course_id` (integer) — The WordPress post ID of the newly created course.

**Example usage:**

```php
add_action( 'stm_lms_google_classroom_course_imported', 'stm_lms_google_classroom_course_imported_function', 10, 2 );
function stm_lms_google_classroom_course_imported_function( $course, $imported_course_id ) {
    if ( ! empty( $course['auditory'] ) ) {
        $auditory_id = $this->find_autidory_by_title( $course['auditory'] );

        update_post_meta( $imported_course_id, 'stm_lms_auditory_id', $auditory_id );
    }
}
```

**Explanation:**\
In this example, after a course is imported from Google Classrooms, the function checks if the course data includes an **auditory** field. If it exists, it finds the corresponding auditory ID and updates the course meta with it.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stylemixthemes.com/masterstudy-lms/developers-guide/masterstudy-lms-hooks/google-classroom.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
